Subject: Re: bug#13948: no key-binding-locus

From: Nicolas Richard <[email-masked]>
Date: Thu, 12 Jun 2014 10:16:32 +0200

Nicolas Richard <[email-masked]> writes:
> (lookup-key lisp-interaction-mode-map (kbd "C-x C-f") t)
> => 1
> I'm a bit surprised, I thought that in this situation this would return
> non-nil, but I'm wrong :
> (lookup-key lisp-interaction-mode-map (kbd "C-x") t)
> => nil

For the record, my surprise is gone : the return value 1 means that
"C-x" is not a prefix in the given keymap. I thought it meant "C-x" was
bound to something. I'll amend my comment : I think using the word
"prefix" was misleading.

-- 
Nico.